Getting started
Check GitHub connection
Find out whether the acting user has a usable GitHub connection or needs to authorize access in the dashboard.
GET
/api/customer/v1/source/connectionsQuery parameters
| Name | Type | Required | Limits |
|---|---|---|---|
projectId | string | No | At least 1 character(s) |
Example request
Set HCODE_BASE_URL and HCODE_API_KEY as shown in Getting started. Replace resource variables with your own IDs.
curl --request GET "$HCODE_BASE_URL/api/customer/v1/source/connections" \ --header "Authorization: Bearer $HCODE_API_KEY"
Response
The JSON shape is defined in the response schema.
Response schema
{
"type": "object",
"properties": {
"connected": {
"type": "boolean"
},
"installations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"accountLogin": {
"type": "string"
},
"accountType": {
"type": "string"
}
},
"required": [],
"additionalProperties": true
}
},
"authorizationRequired": {
"type": "boolean"
},
"authorizationUrl": {
"type": "string"
}
},
"required": [
"connected",
"installations",
"authorizationRequired"
],
"additionalProperties": true
}See errors and retries for failure responses.